ATSAMB11 Library Version Mismatch Error

Go To Last Post
6 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I have tested a couple for the ASF examples for the ATSAMB11 Xplained Pro board which are reporting the following error:

 

Initializing BLE Application
SAMB11 XPro Module: SAMB11-ZR
Initializing SAMB11
SAMB11 Chip ID: 0x2000B1
BD Address:0xF8F005F72B0C, Address Type:0
Error:Library version doesn't match with SDK version. Please use 6.1 version of library
SAMB11 FW Version:0xEA6E4C71
SAMB11 RF Version:0x7C825D28

The firmware version that it is reading back is v14.10, but is expecting v6.1.  Can this error be ignored or I am using the incorrect library version?

Thanks,

 

// z4gunn

 

 

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I am seeing the same problem with both a SAMB11 and SAMB11ZR Xplained boards.  Any Help?

Joseph

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

in Studio 7 go to Tools->Device Pack Manager and update SAMB11_DFP.  you will need to regenerate the project to pick up the new library.

 

Joseph

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hi, 

 

I have just started (trying) to work on the SAMB11ZR Xplained Pro board and am not having much luck with the latest device pack (2.3.190 - device will not run in debug mode whatever I try).

 

I have found switching down to the previous version (2.2.181) works better.

 

But now I have an issue with one of the ASF example projects (apologies if this is not the correct place to complain about this, maybe somebody can help though).

 

Primarily the "multirole_peripheral_multiconnect_samb11zr_xplained_pro" project, which reports:

 

"No rule to make target '../src/ASF/thirdparty/wireless/ble_smart_sdk/ble_profiles/find_me_locator/find_me_locator.c', needed by 'src/ASF/thirdparty/wireless/ble_smart_sdk/ble_profiles/find_me_locator/find_me_locator.o'.  Stop."

 

The .c, and .h, files are clearly present in the directory referenced here, but no dice...

 

EDIT: this looks like one of the errors mplab can sometimes throw if you don't clean the project before building, have tried that but it doesn't make any difference :(

 

Anybody seen/resolved this issue yet?

 

Thanks,

Will

DON'T PANIC!!!

Last Edited: Wed. Mar 14, 2018 - 01:57 PM
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hello Friends,

Can anyone tell me where i can get OTAUImageCreator.exe for Samb11 MR Xplained Pro.

 

OTAU Application for ATSAMB11 - This application generates the image files for both the factory version and the upgraded version. The OtauImageCreator command line tool is used to generate both the factory format .img and the OTAU binary format (.bin) files. This tool is available as part of the BluSDK SMART package.

The command line tool OtauImageCreator.exe available in the BluSDK SMART package is used to create the factory format firmware image from the application executable file. The metadata corresponding to the application firmware such as firmware version, vendor and product identification, and hardware revision are provided in the factory_img.conf configuration file. The template of the factory_img.conf file is provided along with OtauImageCreator tool. The following figure shows the help content available in the OtauImageCreator tool. 

This is what i found in Blusdk smart otau document.

 

But i don't the path of  OTAUImageCreator.exe and  factory_img.conf file.

If anyone Knows update me.

Shiva

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hi Shiva,

 

Download from the SAMB11 section of http://packs.download.atmel.com/ : 'BluSDK Smart 6.1 Release Package' and unzip, then -> 'PC Application' -> 'OTAU_Image_Creator'

 

Good luck! :)

DON'T PANIC!!!